%define srcname         WindowMaker
%define _pixdir         %{_datadir}/pixmaps
%define gnustepdir      %{_datadir}/GNUstep
%define wmsysdir        %{_sysconfdir}/X11/WindowMaker
%define wmdatdir        %{_datadir}/WindowMaker
%define wmdefdir        %{wmdatdir}/Defaults

%define major           6
%define libwraster      %mklibname wraster %{major}
%define libwrasterdev   %mklibname wraster -d

%define wgsmajor        3
%define libwgsname      %mklibname wings %{wgsmajor}
%define libwgsnamedev   %mklibname wings -d

%define wutmajor        5
%define libwutname      %mklibname wutil %{wutmajor}
%define libwutnamedev   %mklibname wutil -d

%define wmkmajor        1
%define libwmkname      %mklibname wmaker %{wmkmajor}
%define libwmknamedev   %mklibname wmaker -d



Name:           windowmaker
Version:        0.96.0
Release:        %mkrel 1
Summary:        A window manager for the X Window System
License:        GPLv2+
Group:          Graphical desktop/Other
URL:            http://windowmaker.org/
Source0:        http://windowmaker.org/pub/source/release/%{srcname}-%{version}.tar.xz
Source1:        addxdgsupport.bash
Source2:        startwindowmaker
Source3:        03WindowMaker
Source5:	    64bit-autostart.sh
Source6:        menu
Source10:	    WMState
Source11:	    WMWindowAttributes
Source12:	    WindowMaker
Patch1:		    menu.patch
Patch100:       %{name}-0.95.4-use-xdg-menu-extension.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:       desktop-common-data
Requires:       xdg-compliance-menu
Requires:       polkit-gnome
Requires:       wmcalclock
Requires:       wmsystemtray
Requires:       pulseaudio-utils
Requires:       pnmixer
Requires:	xcalc
Requires:	procps
Requires:	xconsole
Requires:	xload
Requires:	xfontsel
Requires: 	xkill
Requires: 	xlockmore
Requires: 	xosview
Requires:	xman
Requires:	xterm
#----------------------------------------
BuildRequires:  lib64xft-devel
BuildRequires:  lib64xinerama-devel
BuildRequires:  lib64hermes1-devel
BuildRequires:  lib64jpeg-devel
BuildRequires:  lib64png-devel
BuildRequires:  lib64tiff-static-devel
BuildRequires:  lib64gif-devel
BuildRequires:  lib64xpm-devel
BuildRequires:  lib64xmu-devel
BuildRequires:  lib64PropList-devel
BuildRequires:  mawk
#--------------------------------------
Obsoletes:	WindowMaker < %version 
Obsoletes:	libwraster3 < %version
Provides:	WindowMaker = %version-%release
Provides:	libwraster3 = %version-%release


%description
Window Maker is a X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME. Window Maker allows users to switch themes on the fly, to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

%package devel
Summary:	Devel files needed to build applications based on %name
Group:		Development/Libraries
Requires:	%name = %version-%release
Obsoletes:	libWindowMaker0-devel < %version
Obsoletes:	libWindowMaker0-static-devel < %version
Obsoletes:	libwraster3-devel < %version
Obsoletes:	libwraster3-static-devel < %version
Provides:	libWindowMaker0-devel = %version-%release
Provides:	libWindowMaker0-static-devel = %version-%release
Provides:	libwraster3-devel = %version-%release
Provides:	libwraster3-static-devel = %version-%release


%description devel
Development files for %name.


%prep
%setup -q -n %{srcname}-%{version}
%patch1 -p1
%patch100 -p0
cp %{SOURCE1} WindowMaker/addxdgsupport.bash


%build
#xdg support in menu
pushd WindowMaker
./addxdgsupport.bash          
popd #WindowMaker

# protect the WPrefs.app location for unclean build envs with gnustep-make installed
unset GNUSTEP_LOCAL_ROOT

LINGUAS=`(cd po ; echo *.po | sed 's/.po//g')`
export LINGUAS
autoreconf -fi
%configure2_5x --prefix=%_prefix \
    --enable-static=no \
    --sysconfdir=%{_sysconfdir}/X11 \
    --localedir=%{_datadir}/locale \
    --with-pixmapdir=%{_pixdir} \
    --with-gnustepdir=%{gnustepdir} \
    --enable-xinerama \
    --enable-usermenu \
    --disable-xrandr \
    --with-pic \
    --with-x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%__chmod 0755 %{buildroot}%{_datadir}/WindowMaker/exitscript.sh

install -D -m 0755 %{SOURCE2} %{buildroot}%{_bindir}/startwindowmaker
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/wmsession.d/03WindowMaker

install -D -m 0755 %{SOURCE5} %{buildroot}/%{_datadir}/WindowMaker/autostart.sh

install -D -m 0644 %{SOURCE6} %{buildroot}%{wmdatdir}/menu
install -D -m 0644 %{SOURCE10} %{buildroot}%{wmdefdir}/WMState
install -D -m 0644 %{SOURCE11} %{buildroot}%{wmdefdir}/WMWindowAttributes
install -D -m 0644 %{SOURCE12} %{buildroot}%{wmdefdir}/WindowMaker


%find_lang WPrefs
%find_lang WindowMaker
%find_lang WINGs
%find_lang wmgenmenu
cat WPrefs.lang >> WindowMaker.lang
cat WINGs.lang >> WindowMaker.lang
cat wmgenmenu.lang >> WindowMaker.lang

find %{buildroot}%{_libdir} -name *.la -delete

rm -f %buildroot/usr/share/locale/fr/LC_MESSAGES/WRaster.mo
rm -f %buildroot/usr/share/xsessions/wmaker.desktop

%files -f WindowMaker.lang
%defattr(-,root,root)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/03WindowMaker
%dir %{gnustepdir}
%{gnustepdir}/Applications/WPrefs.app
%{_mandir}/man[18]/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sk) %{_mandir}/sk/man1/*
%dir %{wmdatdir}
%{_datadir}/WindowMaker/README*
%{_datadir}/WindowMaker/*menu*
%{_datadir}/WindowMaker/exitscript.sh
%{_datadir}/WindowMaker/wmmacros
%{_datadir}/WindowMaker/Backgrounds
%{_datadir}/WindowMaker/IconSets
%{_datadir}/WindowMaker/Icons
%{_datadir}/WindowMaker/Pixmaps
%{_datadir}/WindowMaker/Styles
%{_datadir}/WindowMaker/Themes
%{_datadir}/WINGs/
%{_datadir}/applications/WPrefs.desktop

%{_libdir}/libwraster.so.%{major}
%{_libdir}/libwraster.so.%{major}.*

%{_libdir}/libWINGs.so.%{wgsmajor}
%{_libdir}/libWINGs.so.%{wgsmajor}.*

%{_libdir}/libWUtil.so.%{wutmajor}
%{_libdir}/libWUtil.so.%{wutmajor}.*

%{_libdir}/libWMaker.so.%{wmkmajor}
%{_libdir}/libWMaker.so.%{wmkmajor}.*

%dir %{wmsysdir}
%config(noreplace)%{wmsysdir}/WMGLOBAL
%config(noreplace)%{wmsysdir}/WMRootMenu
%config(noreplace)%{wmsysdir}/WMState
%config(noreplace)%{wmsysdir}/WMWindowAttributes
%config(noreplace)%{wmsysdir}/WindowMaker

%{_datadir}/WindowMaker/autostart.sh
%{wmdatdir}/Defaults 


%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/wrlib.pc
%{_libdir}/libWINGs.so
%{_libdir}/pkgconfig/WINGs.pc
%{_libdir}/libWUtil.so
%{_libdir}/libWMaker.so
%{_libdir}/pkgconfig/WUtil.pc
%{_libdir}/pkgconfig/wmlib.pc

%post
%make_session

%postun
%make_session

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Aug 10 2023 tex - 0.96.0-1pclos2023
- new version

* Mon Apr 06 2020 tex - 0.95.9-1pclos2020
- new version

* Sat May 25 2019 tex - 0.95.8-5pclos2019
- rebuild against updates

* Tue Sep 12 2017 bb2 <bb2> - 0.95.8-4pclos2017
- rebuild against updates

* Fri Sep 08 2017 bb2 <bb2> - 0.95.8-3pclos2017
- rebuild new gcc

* Tue Mar 14 2017 bb2 <bb2> - 0.95.8-2pclos2017
- fix double applictions in menu

* Tue Mar 14 2017 bb2 <bb2> - 0.95.8-1pclos2017
- new version
